JATTACH(1)

NAME
jattach - dynamc attach utility for the jvm

SYNOPSIS
jattach pid [load|properties|agentProperties|datadump|threaddump|dumpheap|inspectheap|setflag|printflag|jcmd] [args]

DESCRIPTION
jattach is an all in one jmap, jstack, jcmd, jinfo implementation as a tiny single C program.

OPTIONS
load load agent library

properties print system properties

agentProperties print agent properties

datadump show heap and thread summary

threaddump dump all stack traces (like jstack)

dumpheap mydumpfile.hprof dump heap (like jmap -dump:live,format=b)

inspectheap create a heap histrogram (like jmap -histo)

setflag modify manageable JVM flag

printflag print JVM flag

jcmd execute jcmd command